org.jclouds.snia.cdmi.v1.domain
Class CDMIObject

java.lang.Object
  extended by org.jclouds.snia.cdmi.v1.domain.CDMIObject
Direct Known Subclasses:
Container, DataObject

public class CDMIObject
extends Object

The base type for all objects in the CDMI model.

Author:
Kenneth Nagin

Nested Class Summary
static class CDMIObject.Builder<B extends CDMIObject.Builder<B>>
           
 
Constructor Summary
protected CDMIObject(CDMIObject.Builder<?> builder)
           
 
Method Summary
static CDMIObject.Builder<?> builder()
           
 boolean clone(Object o)
           
 boolean equals(Object o)
           
 List<Map<String,String>> getACLMetadata()
          Get System Metadata for the container object excluding ACL related metadata
 Map<String,JsonBall> getMetadata()
          Metadata for the CDMI object.
 String getObjectID()
          Object ID of the object
Every object stored within a CDMI-compliant system shall have a globally unique object identifier (ID) assigned at creation time.
 String getObjectName()
          For objects in a container, the objectName field shall be returned.
 String getObjectType()
          type of the object
 String getParentURI()
          parent URI
 Map<String,String> getSystemMetadata()
          Get System Metadata for the container object excluding ACL related metadata
 Map<String,String> getUserMetadata()
          Get User Metadata for the container object.
 int hashCode()
           
protected  com.google.common.base.Objects.ToStringHelper string()
           
 CDMIObject.Builder<?> toBuilder()
           
 String toString()
           
 
Methods inherited from class java.lang.Object
clone, finalize, getClass, notify, notifyAll, wait, wait, wait
 

Constructor Detail

CDMIObject

protected CDMIObject(CDMIObject.Builder<?> builder)
Method Detail

builder

public static CDMIObject.Builder<?> builder()

toBuilder

public CDMIObject.Builder<?> toBuilder()

getObjectID

public String getObjectID()
Object ID of the object
Every object stored within a CDMI-compliant system shall have a globally unique object identifier (ID) assigned at creation time. The CDMI object ID is a string with requirements for how it is generated and how it obtains its uniqueness. Each offering that implements CDMI is able to produce these identifiers without conflicting with other offerings. note: CDMI Servers do not always support ObjectID tags, however downstream jclouds code does not handle null so we return a empty String instead.


getObjectType

public String getObjectType()
type of the object


getObjectName

@Nullable
public String getObjectName()
For objects in a container, the objectName field shall be returned. For objects not in a container (objects that are only accessible by ID), the objectName field shall not be returned. Name of the object


getParentURI

public String getParentURI()
parent URI


getMetadata

public Map<String,JsonBall> getMetadata()
Metadata for the CDMI object. This field includes any user and system metadata specified in the request body metadata field, along with storage system metadata generated by the cloud storage system.


getUserMetadata

public Map<String,String> getUserMetadata()
Get User Metadata for the container object. This field includes any user metadata


getSystemMetadata

public Map<String,String> getSystemMetadata()
Get System Metadata for the container object excluding ACL related metadata


getACLMetadata

public List<Map<String,String>> getACLMetadata()
Get System Metadata for the container object excluding ACL related metadata


equals

public boolean equals(Object o)
Overrides:
equals in class Object

clone

public boolean clone(Object o)

hashCode

public int hashCode()
Overrides:
hashCode in class Object

toString

public String toString()
Overrides:
toString in class Object

string

protected com.google.common.base.Objects.ToStringHelper string()


Copyright © 2009-2012 jclouds. All Rights Reserved.